<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="ID" value="XDSADH"/>
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.xdstar.AssociationValidatorsPackClass']}</h1>

        #{validatorPackClassEditorManager.initListValidatorPackClass()}

        <h:form id="gll">
            <gri:panel>
                <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ValidatorsAssociations']}
                    (#{validatorPackClassEditorManager.countListValidatorPackClass()})
                </f:facet>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.AddNewValidator']}"
                                   actionListener="#{validatorPackClassEditorManager.initSelectedValidatorPackClass()}"
                                   action="/admin/editValidatorPackClass.xhtml"
                                   styleClass="gzl-btn-green" render="globalDiv"/>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.XMLValidatorImport']}"
                                   styleClass="gzl-btn-blue"
                                   oncomplete="jq162('#upload_metadata').modal('show');"
                                   render="uploadForm,upload_metadata"/>
                <br/>
                <br/>
                <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                    <div class="row">
                        <div class="col-lg-6">

                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filter"
                                          value="#{validatorPackClassEditorManager.listValidatorPackClass.filter}"/>
                                <ui:param name="filterId" value="affinity"/>
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xdstar.Affinity']}"/>
                                <ui:param name="filterForm" value="gll"/>
                            </ui:include>
                        </div>
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filter"
                                          value="#{validatorPackClassEditorManager.listValidatorPackClass.filter}"/>
                                <ui:param name="filterId" value="transaction"/>
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xdstar.Transaction']}"/>
                                <ui:param name="filterForm" value="gll"/>
                            </ui:include>
                        </div>
                    </div>
                    <ui:define name="filter_buttons">
                        <a4j:commandLink title="#{messages['gazelle.common.button.Refresh']}"
                                         render="gll">
                            <span class="fa fa-refresh"/>
                        </a4j:commandLink>
                        <a4j:commandLink actionListener="#{validatorPackClassEditorManager.resetFilter()}"
                                         title="#{messages['net.ihe.gazelle.xdstar.ResetFilter']}" type="submit"
                                         execute="@this" render="gll">
                            <span class="fa fa-times-circle"/>
                        </a4j:commandLink>
                    </ui:define>
                </ui:decorate>

                <rich:dataTable id="dataTable"
                                value="#{validatorPackClassEditorManager.listValidatorPackClass}"
                                var="cl" rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                render="ds">
                    <g:column sortBy="#{'id'}" sortOrder="ascending">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.ID']}</ui:define>
                        <h:outputText value="#{cl.id}"/>
                    </g:column>
                    <g:column sortBy="#{'validatorName'}" filterBy="#{'validatorName'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.ValidatorName']}</ui:define>
                        <h:outputText value="#{cl.validatorName}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.NumberOfPackClassAssociated']}
                        </ui:define>
                        <h:outputText value="#{cl.listPackClass.size()}"/>
                    </g:column>
                    <g:column>
                        <f:facet name="header">
                            <s:div>
                                <h:commandLink
                                        action="#{validatorPackClassEditorManager.downloadAll()}"
                                        target="_blank">
                                    <span class="gzl-icon-download"/>
                                </h:commandLink>
                            </s:div>
                        </f:facet>
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Action']}</ui:define>
                        <a4j:commandLink
                                actionListener="#{validatorPackClassEditorManager.setSelectedValidatorPackClass(cl)}"
                                action="/admin/editValidatorPackClass.xhtml">
                            <span class="gzl-icon-pencil"/>
                        </a4j:commandLink>
                        <gdk:spacer height="5px"/>
                        <a4j:commandLink
                                action="#{validatorPackClassEditorManager.setSelectedValidatorPackClass(cl)}"
                                oncomplete="jq162('#confirm_delete').modal('show');"
                                render="deleteForm,confirm_delete">
                            <span class="gzl-icon-trash-o"/>
                        </a4j:commandLink>
                        <gdk:spacer width="5px"/>
                        <h:commandLink
                                action="#{validatorPackClassEditorManager.exportToXml(cl)}"
                                render="textExport" target="_blank"
                                rendered="#{s:hasRole('admin_role') || s:hasRole('tests_editor_role')}">
                            <span class="gzl-icon-download"/>
                        </h:commandLink>
                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="dataTable"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>

            </gri:panel>
        </h:form>

        <h:form id="uploadForm">
            <gri:popupPanel id="upload_metadata">
                <f:facet name="header">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.UploadMetadata']}"/>
                </f:facet>
                <f:facet name="footer">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.Cancel']}" styleClass="gzl-btn"
                                       onclick="jq162('#upload_metadata').modal('hide');"
                                       ajaxSingle="true"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.Confirm']}" styleClass="gzl-btn-green"
                                       action="#{validatorPackClassEditorManager.importValidatorPackClass()}"
                                       render="gll"
                                       onclick="jq162('#upload_metadata').modal('hide');"/>
                </f:facet>
                <rich:fileUpload id="uploadFile"
                                 fileUploadListener="#{validatorPackClassEditorManager.uploadListener}"
                                 maxFilesQuantity="1" acceptedTypes="xml,zip" listHeight="60px"
                                 immediateUpload="true">
                </rich:fileUpload>
            </gri:popupPanel>
        </h:form>

        <h:form id="deleteForm">
            <gri:popupPanel id="confirm_delete">
                <f:facet name="header">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.DelteUsage']}"/>
                </f:facet>
                <f:facet name="footer">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                       onclick="jq162('#confirm_delete').modal('hide')"
                                       execute="@this"/>
                    <a4j:commandButton styleClass="gzl-btn-red"
                                       value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                       action="#{validatorPackClassEditorManager.deleteSelectedValidatorPackClass()}"
                                       onclick="jq162('#confirm_delete').modal('hide');"
                                       render="gll"/>
                </f:facet>
                <p>
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.AreYouSureYouWantToDeleteThisUsage']}"/>
                </p>
            </gri:popupPanel>
        </h:form>
    </ui:define>
</ui:composition>